Export de contenus scorm sur lms


#1

Bonjour, à tous je cherche une plate-forme lms compatible avec le modèle opale 3.6 susceptible d’accueillir mes contenus scormés. Avez une plateforme lms 100% compatible ? J’ai bien vu moodle mais j’aimerais connaître vos retours. J’ai pour ma part essayer spotlms et même si le scorm est accepté il n’y à aucune remonté…des scores ou de suivi. Je précise aussi qu’ Il s’avère important pour moi d’avoir une bonne traçabilité des quizz proposés par opale dans le lms ainsi que des rapports de stats “propre”. Merci de vos réponses


#2

Bonjour,

L’information la plus complète sur le sujet est fournie sur cette page : https://trac.scenari.org/opale/wiki/scorm . Elle décrit de façon très précise les informations qui doivent remonter en fonction du packaging scorm choisi.

Les retours d’usage de compatibilité selon les LMS sont par contre très incomplets, et mériteraient d’être actualisés (https://trac.scenari.org/opale/wiki/scorm#TestdesplateformesLMSavecdesmodulesOpale )

Cordialement

Antoine

Kelis


#3

Merci de votre réponse !


#4

Bonjour Antoine, j’effectue actuellement différents test de comptatibilité selon les lms de nos parcours de formation : sur ilias / spotlms / Moodle 3.3 je vous ferais parvenir un zip ainsi qu’un compte rendu de mes imports pour ces plateformes à toute fin utile. cdt


#5

Bonjour antoine, je vous fais parvenir le retour de SPOTLMS concernant l’importation de cours scenari sous opale 3.6 scormé :
fichier zip scorm mono ET multi sco 1.2 envoyé + fichier zip emeraude mono sco 1.2:
Ce fichier n’est pas à la norme SCORM 1,2 pour plusieurs raisons, il ne nous est pas possible de l’importer dans SPOT LMS. Après analyse du contenu de nombreux problèmes apparaissent dont certains qu’il ne nous est pas possible de contourner.

  • Pas de balise
    <metadata>
    <schema>ADL SCORM</schema>
    <schemaversion>1.2</schemaversion>
    </metadata>
  • Non respect de l’API SCORM 1.2 …

Les fichiers scorm 2004 envoyés en mono comme en multi sont parfaitement compatible

je vous enverrais le même type de retour pour moodle et Ilias.
cdtr


#6

Bonjour,

Nous pourrons ajouter la balise < metada >.
Si vous l’ajoutez manuellement dans le manifest, quelle autre difficulté rencontrez-vous ?


#7

Bonjour,

Je suppose que vous parlez d’une balise <metadata/> qui peut être présent dans la balise <ressource/>?
D’après la spécification officielle de SCORM 1.2 (disponible ici : http://adlnet.gov/public/uploads/SCORM_1_2_pdf.zip fichier SCORM_1.2_CAM.pdf), entrée 2.3.5.4.1, page 2-142 la balise <metadata/> n’est pas obligatoire :

La balise <metadata/> peut être inséré à plusieurs endroits du manifest mais il n’est jamais obligatoire.

Par conséquent SCENARI respecte bien la spécification de SCROM 1.2, du mois en ce qui concerne cet aspect, et il me semble que c’est plus SPOTLMS qui est en faute ici.

Comme a dit Sylvain il serait envisageable de l’inclure automatiquement mais sans contenu LOM associé cela n’a pas beaucoup de sens.

Que vous-lez vous dire par “Non respect de l’API SCORM 1.2” ? y a-t-il d’autres problèmes ? et si oui lequels ?


#8

Je pense que c’est à la racine du manifeste: http://www.scormsoft.com/scorm/cam/manifestFiles
Ici elle est dite obligatoire, mais c’est dans “CAM”. A voir si c’est le cas aussi dans scorm 1.2 de base.


#9

En effet, Sam, tu as raison, c’est optionnel, y compris à la racine, cf p. 138 du pdf


#10

Bonjour,
Pour plus d’homogénéité avec ce qui est fait sur SCORM 2004, j’ai ajouté ce tag /manifest/metadata dans les manifests produits pour SCORM 1.2 (ça sera présent dans les prochaines versions d’Opale).
Quel autre problème rencontrez-vous ?